public class ActionNameCleaner extends Object
| Constructor and Description |
|---|
ActionNameCleaner() |
| Modifier and Type | Method and Description |
|---|---|
static String |
getActionLastUrlSegment(javax.servlet.http.HttpServletRequest httpServletRequest)
Determine action URL by extracting last string and removing query parameters.
|
static String |
getActionName(javax.servlet.http.HttpServletRequest httpServletRequest)
Determine action name by extracting last string and removing extension.
|
public static String getActionName(javax.servlet.http.HttpServletRequest httpServletRequest)
httpServletRequest - The HTTP request in playpublic static String getActionLastUrlSegment(javax.servlet.http.HttpServletRequest httpServletRequest)
httpServletRequest - The HTTP request in playCopyright © 2002-2023 Atlassian. All Rights Reserved.